package com.bonus.canteen.core.supermarket.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel
public class SupermarketUnAddProductListDTO {
   @ApiModelProperty("超市id")
   private @NotNull(
   message = "超市id不能为空!"
) Long supermarketId;
   @ApiModelProperty("条码")
   private String barCode;
   @ApiModelProperty("商品名称")
   private String materialName;
   @ApiModelProperty("商品类别id集合")
   private List<Long> categoryIdList;
   @ApiModelProperty("区域id")
   private @NotNull(
   message = "区域id不能为空!"
) Long areaId;

   public Long getSupermarketId() {
      return this.supermarketId;
   }

   public String getBarCode() {
      return this.barCode;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public List<Long> getCategoryIdList() {
      return this.categoryIdList;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public void setSupermarketId(final Long supermarketId) {
      this.supermarketId = supermarketId;
   }

   public void setBarCode(final String barCode) {
      this.barCode = barCode;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setCategoryIdList(final List<Long> categoryIdList) {
      this.categoryIdList = categoryIdList;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }
}
